| Flutter iOS Embedder |

Public Member Functions | Public Attributes | List of all members
flutter::testing::MockAccessibilityBridge Class Reference

`#include <SemanticsObjectTestMocks.h>`

Inheritance diagram for flutter::testing::MockAccessibilityBridge:

## Public Member Functions
| MockAccessibilityBridge ()
bool | isVoiceOverRunning () const override
UIView * | view () const override
UIView< UITextInput > * | textInputView () override
NSString * | GetDefaultLocale () override
void | DispatchSemanticsAction (int32_t id, SemanticsAction action) override
void | DispatchSemanticsAction (int32_t id, SemanticsAction action, fml::MallocMapping args) override
void | AccessibilityObjectDidBecomeFocused (int32_t id) override
void | AccessibilityObjectDidLoseFocus (int32_t id) override
FlutterPlatformViewsController * | GetPlatformViewsController () const override
Public Member Functions inherited from flutter::AccessibilityBridgeIos
virtual | ~AccessibilityBridgeIos ()=default
virtual void | DispatchSemanticsAction (int32_t id, flutter::SemanticsAction action)=0
virtual void | DispatchSemanticsAction (int32_t id, flutter::SemanticsAction action, fml::MallocMapping args)=0

## Public Attributes
std::vector< SemanticsActionObservation > | observations
bool | isVoiceOverRunningValue
NSString * | mockedLocale

## Detailed Description

Definition at line 32 of file SemanticsObjectTestMocks.h.

## Constructor & Destructor Documentation

## ◆ MockAccessibilityBridge()

flutter::testing::MockAccessibilityBridge::MockAccessibilityBridge | ( |  | ) |
| inline

Definition at line 34 of file SemanticsObjectTestMocks.h.

34 : observations({}) {
35 view_ = [[UIView alloc] initWithFrame:kScreenSize];
36 window_ = [[UIWindow alloc] initWithFrame:kScreenSize];
37 [window_ addSubview:view_];
38 }
initWithFrame
instancetype initWithFrame
Definition: FlutterTextInputPlugin.h:179
kScreenSize
const CGRect kScreenSize
Definition: SemanticsObjectTestMocks.h:10
flutter::testing::MockAccessibilityBridge::observations
std::vector< SemanticsActionObservation > observations
Definition: SemanticsObjectTestMocks.h:57

## Member Function Documentation

## ◆ AccessibilityObjectDidBecomeFocused()

void flutter::testing::MockAccessibilityBridge::AccessibilityObjectDidBecomeFocused | ( | int32_t | id | ) |
| inline override virtual

A callback that is called when a SemanticObject receives focus.

The input id is the uid of the newly focused SemanticObject.

Implements flutter::AccessibilityBridgeIos.

Definition at line 54 of file SemanticsObjectTestMocks.h.

54 {}

## ◆ AccessibilityObjectDidLoseFocus()

void flutter::testing::MockAccessibilityBridge::AccessibilityObjectDidLoseFocus | ( | int32_t | id | ) |
| inline override virtual

A callback that is called when a SemanticObject loses focus

The input id is the uid of the newly focused SemanticObject.

Implements flutter::AccessibilityBridgeIos.

Definition at line 55 of file SemanticsObjectTestMocks.h.

55 {}

## ◆ DispatchSemanticsAction() [1/2]

void flutter::testing::MockAccessibilityBridge::DispatchSemanticsAction | ( | int32_t | id,
|  | SemanticsAction | action
| ) |  |
| inline override

Definition at line 44 of file SemanticsObjectTestMocks.h.

44 {
45 SemanticsActionObservation observation(id, action);
46 observations.push_back(observation);
47 }

References observations.

## ◆ DispatchSemanticsAction() [2/2]

void flutter::testing::MockAccessibilityBridge::DispatchSemanticsAction | ( | int32_t | id,
|  | SemanticsAction | action,
|  | fml::MallocMapping | args
| ) |  |
| inline override

Definition at line 48 of file SemanticsObjectTestMocks.h.

50 {
51 SemanticsActionObservation observation(id, action, args);
52 observations.push_back(observation);
53 }

References observations.

## ◆ GetDefaultLocale()

NSString* flutter::testing::MockAccessibilityBridge::GetDefaultLocale | ( |  | ) |
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 43 of file SemanticsObjectTestMocks.h.

43 { return mockedLocale; }
flutter::testing::MockAccessibilityBridge::mockedLocale
NSString * mockedLocale
Definition: SemanticsObjectTestMocks.h:59

References mockedLocale.

## ◆ GetPlatformViewsController()

FlutterPlatformViewsController* flutter::testing::MockAccessibilityBridge::GetPlatformViewsController | ( |  | ) | const
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 56 of file SemanticsObjectTestMocks.h.

56 { return nil; }

## ◆ isVoiceOverRunning()

bool flutter::testing::MockAccessibilityBridge::isVoiceOverRunning | ( |  | ) | const
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 39 of file SemanticsObjectTestMocks.h.

39 { return isVoiceOverRunningValue; }
flutter::testing::MockAccessibilityBridge::isVoiceOverRunningValue
bool isVoiceOverRunningValue
Definition: SemanticsObjectTestMocks.h:58

References isVoiceOverRunningValue.

## ◆ textInputView()

UIView<UITextInput>* flutter::testing::MockAccessibilityBridge::textInputView | ( |  | ) |
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 41 of file SemanticsObjectTestMocks.h.

41 { return nil; }

## ◆ view()

UIView* flutter::testing::MockAccessibilityBridge::view | ( |  | ) | const
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 40 of file SemanticsObjectTestMocks.h.

40 { return view_; }

## Member Data Documentation

## ◆ isVoiceOverRunningValue

bool flutter::testing::MockAccessibilityBridge::isVoiceOverRunningValue

Definition at line 58 of file SemanticsObjectTestMocks.h.

Referenced by isVoiceOverRunning().

## ◆ mockedLocale

NSString* flutter::testing::MockAccessibilityBridge::mockedLocale

Definition at line 59 of file SemanticsObjectTestMocks.h.

Referenced by GetDefaultLocale().

## ◆ observations

std::vector<SemanticsActionObservation> flutter::testing::MockAccessibilityBridge::observations

Definition at line 57 of file SemanticsObjectTestMocks.h.

Referenced by DispatchSemanticsAction().

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/SemanticsObjectTestMocks.h